reSID::SID Class Reference

## Classes

class | State

## Public Member Functions

void | set_chip_model (chip_model model)
void | set_voice_mask (reg4 mask)
void | enable_filter (bool enable)
void | adjust_filter_bias (double dac_bias)
void | enable_external_filter (bool enable)
bool | set_sampling_parameters (double clock_freq, sampling_method method, double sample_freq, double pass_freq=-1, double filter_scale=0.97)
void | adjust_sampling_frequency (double sample_freq)
void | clock ()
void | clock (cycle_count delta_t)
int | clock (cycle_count &delta_t, short *buf, int n, int interleave=1)
void | reset ()
reg8 | read (reg8 offset)
void | write (reg8 offset, reg8 value)
State | read_state ()
void | write_state (const State &state)
void | input (short sample)
short | output ()

## Protected Types

enum | { FIR_N = 125, FIR_RES = 285, FIR_RES_FASTMEM = 51473, FIR_SHIFT = 15, RINGSIZE = 1 << 14, RINGMASK = RINGSIZE - 1, FIXP_SHIFT = 16, FIXP_MASK = 0xffff }

## Protected Member Functions

int | clock_fast (cycle_count &delta_t, short *buf, int n, int interleave)
int | clock_interpolate (cycle_count &delta_t, short *buf, int n, int interleave)
int | clock_resample (cycle_count &delta_t, short *buf, int n, int interleave)
int | clock_resample_fastmem (cycle_count &delta_t, short *buf, int n, int interleave)
void | write ()

## Static Protected Member Functions

static double | I0 (double x)

## Protected Attributes

chip_model | sid_model
Voice | voice [3]
Filter | filter
ExternalFilter | extfilt
Potentiometer | potx
Potentiometer | poty
reg8 | bus_value
cycle_count | bus_value_ttl
cycle_count | write_pipeline
reg8 | write_address
double | clock_frequency
sampling_method | sampling
cycle_count | cycles_per_sample
cycle_count | sample_offset
int | sample_index
short | sample_prev
short | sample_now
int | fir_N
int | fir_RES
double | fir_beta
double | fir_f_cycles_per_sample
double | fir_filter_scale
short * | sample
short * | fir

The documentation for this class was generated from the following files:

- sid.h
- sid.cc